/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'Coaching_Icons\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-ziel2_icon': '&#xe900;',
		'icon-ziel_icon': '&#xe901;',
		'icon-zahnräder_icon': '&#xe902;',
		'icon-waage_icon': '&#xe903;',
		'icon-teleskop2_icon': '&#xe904;',
		'icon-teleskop1_icon': '&#xe905;',
		'icon-tacho_icon': '&#xe906;',
		'icon-stuhl_icon': '&#xe907;',
		'icon-strategie3_icon': '&#xe908;',
		'icon-strategie2_icon': '&#xe909;',
		'icon-strategie1_icon': '&#xe90a;',
		'icon-stoppuhr_icon': '&#xe90b;',
		'icon-steuer_icon': '&#xe90c;',
		'icon-schnittmenge_icon': '&#xe90d;',
		'icon-schach3_icon': '&#xe90e;',
		'icon-schach2_icon': '&#xe90f;',
		'icon-schach1_icon': '&#xe910;',
		'icon-sanduhr_icon': '&#xe911;',
		'icon-radar3_icon': '&#xe912;',
		'icon-radar2_icon': '&#xe913;',
		'icon-radar1_icon': '&#xe914;',
		'icon-puzzle2_icon': '&#xe915;',
		'icon-puzzle_icon': '&#xe916;',
		'icon-profil4_icon': '&#xe917;',
		'icon-profil3_icon': '&#xe918;',
		'icon-profil2_icon': '&#xe919;',
		'icon-profil1_icon': '&#xe91a;',
		'icon-profil_icon': '&#xe91b;',
		'icon-pokal_icon': '&#xe91c;',
		'icon-pfeil_rechts_icon': '&#xe91d;',
		'icon-pfeil_links_icon': '&#xe91e;',
		'icon-pfeil_hochrunter_icon': '&#xe91f;',
		'icon-person21_icon': '&#xe920;',
		'icon-person20_icon': '&#xe921;',
		'icon-person19_icon': '&#xe922;',
		'icon-person18_icon': '&#xe923;',
		'icon-person17_icon': '&#xe924;',
		'icon-person16_icon': '&#xe925;',
		'icon-person15_icon': '&#xe926;',
		'icon-person14_icon': '&#xe927;',
		'icon-person13_icon': '&#xe928;',
		'icon-person12_icon': '&#xe929;',
		'icon-person11_icon': '&#xe92a;',
		'icon-person10_icon': '&#xe92b;',
		'icon-person9_icon': '&#xe92c;',
		'icon-person8_icon': '&#xe92d;',
		'icon-person7_icon': '&#xe92e;',
		'icon-person6_icon': '&#xe92f;',
		'icon-person5_icon': '&#xe930;',
		'icon-person4_icon': '&#xe931;',
		'icon-person3_icon': '&#xe932;',
		'icon-person2_icon': '&#xe933;',
		'icon-person1_icon': '&#xe934;',
		'icon-meeting2_icon': '&#xe935;',
		'icon-meeting1_icon': '&#xe936;',
		'icon-mail2_icon': '&#xe937;',
		'icon-mail_icon': '&#xe938;',
		'icon-magephone_icon': '&#xe939;',
		'icon-lupe_icon': '&#xe93a;',
		'icon-lampe_icon': '&#xe93b;',
		'icon-krawatte_icon': '&#xe93c;',
		'icon-kopf14_icon': '&#xe93d;',
		'icon-kopf13_icon': '&#xe93e;',
		'icon-kopf12_icon': '&#xe93f;',
		'icon-kopf11_icon': '&#xe940;',
		'icon-kopf10_icon': '&#xe941;',
		'icon-kopf9_icon': '&#xe942;',
		'icon-kopf8_icon': '&#xe943;',
		'icon-kopf7_icon': '&#xe944;',
		'icon-kopf6_icon': '&#xe945;',
		'icon-kopf5_icon': '&#xe946;',
		'icon-kopf4_icon': '&#xe947;',
		'icon-kopf3_icon': '&#xe948;',
		'icon-kopf2_icon': '&#xe949;',
		'icon-kopf1_icon': '&#xe94a;',
		'icon-kommentar3_icon': '&#xe94b;',
		'icon-kommentar2_icon': '&#xe94c;',
		'icon-kommentar_icon': '&#xe94d;',
		'icon-kaffee_icon': '&#xe94e;',
		'icon-idee_icon': '&#xe94f;',
		'icon-handshake_icon': '&#xe950;',
		'icon-globus2_icon': '&#xe951;',
		'icon-globus1_icon': '&#xe952;',
		'icon-füller_icon': '&#xe953;',
		'icon-fragezeichen_icon': '&#xe954;',
		'icon-fisch_icon': '&#xe955;',
		'icon-fernglas_icon': '&#xe956;',
		'icon-feder2_icon': '&#xe957;',
		'icon-feder_icon': '&#xe958;',
		'icon-fahne2_icon': '&#xe959;',
		'icon-fahne1_icon': '&#xe95a;',
		'icon-eule_icon': '&#xe95b;',
		'icon-erster_icon': '&#xe95c;',
		'icon-daumen_icon': '&#xe95d;',
		'icon-checkliste4_icon': '&#xe95e;',
		'icon-checkliste3_icon': '&#xe95f;',
		'icon-checkliste2_icon': '&#xe960;',
		'icon-checkliste1_icon': '&#xe961;',
		'icon-chart6_icon': '&#xe962;',
		'icon-chart5_icon': '&#xe963;',
		'icon-chart4_icon': '&#xe964;',
		'icon-chart3_icon': '&#xe965;',
		'icon-chart2_icon': '&#xe966;',
		'icon-chart1_icon': '&#xe967;',
		'icon-brille2_icon': '&#xe968;',
		'icon-brille1_icon': '&#xe969;',
		'icon-brieftasche_icon': '&#xe96a;',
		'icon-bombe_icon': '&#xe96b;',
		'icon-birne2_icon': '&#xe96c;',
		'icon-birne_icon': '&#xe96d;',
		'icon-beziehung7_icon': '&#xe96e;',
		'icon-beziehung6_icon': '&#xe96f;',
		'icon-beziehung5_icon': '&#xe970;',
		'icon-beziehung4_icon': '&#xe971;',
		'icon-beziehung3_icon': '&#xe972;',
		'icon-beziehung2_icon': '&#xe973;',
		'icon-beziehung1_icon': '&#xe974;',
		'icon-ausrufezeichen_icon': '&#xe975;',
		'icon-ausgang_icon': '&#xe976;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
